<?php
// *************************************
// 表示コントロール
// *************************************
$GLOBALS['title'] = "１会話・IFRAME(TCPDF)テンプレート";
$GLOBALS['comment'] = 'ようこそ jQuery + Bootstrap(css) + mmenu + Firebase + TCPDF + php';
$GLOBALS['root_script'] = "index.php";

?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta content="width=device-width initial-scale=1.0 minimum-scale=1.0 maximum-scale=1.0 user-scalable=no" name="viewport">
<meta charset="utf-8">
<title><?= $GLOBALS['title'] ?></title>

<?php require_once('../std/libs.php') ?>

<script src="../std/lboxiframe.js"></script>

<link rel="stylesheet" href="../std/mmenu.css">
<link rel="stylesheet" href="../std/basic.css">

<style>
legend {
	font-size: 18px;
	padding-left: 6px;
}

.table-responsive td, .table-responsive th {
	white-space: nowrap;
}

#data {
	margin-bottom: 20px;
}
</style>

<script>
<?php require_once('../std/js.php') ?>
var options = {
	fld1 : {
		title : "氏名",
		placeholder : "氏名検索",
		css : { "background-color": "lemonchiffon" },
		attr : { "required": false } 
	},
	fld2 : { title : "", placeholder : "", css : { "display": "none" }  },
	fld3 : { title : "" , css : { "display": "none" } },
	fld4 : { title : "" , css : { "display": "none" } },
	fld5 : { title : "" , css : { "display": "none" } },
	row_last : { title :"メッセージ" },

	curbtn: "",
	error : function(message){
		$("#row_last").next().text( message );
		toastr.error(message);
	},
	info : function(message){
		$("#row_last").next().text( message );
		toastr.success(message);
	}
};

$(function(){

	$("#wrapper").css({"visibility":"visible", "margin-bottom": "0px"}); 
	// options によるフィールドの設定
	$(".entry").each(function(){
		if ( options[ $(this).prop("id") ] ) {
			if ( options[ $(this).prop("id") ].title ) {
				$(this).prop( "title", options[ $(this).prop("id") ].title );
			}
			// 個別 css
			if ( options[ $(this).prop("id") ].css ) {
				$(this).css( options[ $(this).prop("id") ].css );
			}
			// 入力チェック用属性
			if ( options[ $(this).prop("id") ].attr ) {
				$(this).attr( options[ $(this).prop("id") ].attr );
			}
			// placeholder 
			if ( options[ $(this).prop("id") ].placeholder ) {
				$(this).prop( "placeholder", options[ $(this).prop("id") ].placeholder );
			}
			// pc のみの css
			if ( options[ $(this).prop("id") ].pcss ) {
				if ( !$.isMobile ) {
					$(this).next().find("input,select,textarea").css( options[ $(this).prop("id") ].pcss );
				}
			}
		}
	});

	// **************************************
	// mmenu
	// **************************************
	$("#mmenu_left").mmenu({
		navbar: {
			title: "メニュー"
		},
		offCanvas: {
			position  : "left",
			zposition : "next"
		}
	});

	$( "#wrapper" ).lboxiframe({
		src : "about:blank",
		id : "my_iframe",
		name : "my_iframe"
	});

});

</script>
</head>
<body>

<div id="wrapper">
<script>
// スマホでロード時の処理のチラつき防止用
$("#wrapper").css( {"visibility": "hidden", "margin-bottom" : "1000px" } );
</script>

	<div id="head">
		<?php require_once('../std/view_hamburger.php') ?>
		<div id="title"><?= $GLOBALS['title'] ?></div>
	</div>

	<div id="body">
		<form id="frm" class="form-inline" action="pdf/pdf_out.php" target="my_iframe">

			<fieldset id="form_body">
				<table class="table table-condensed">
			
					<tr>
						<td class="fields" id="row1">
							<button id="action" type="submit" name="action">実行</button>
							<input id="fld1" name="fld1" class="entry form-control">
							<input id="fld2" name="fld2" class="entry form-control">
							<input id="fld3" name="fld3" class="entry form-control">
							<input id="fld4" name="fld4" class="entry form-control">
							<input id="fld5" name="fld5" class="entry form-control">
						</td>
					</tr>

					<tr>
						<td class="fields error" id="row_last"></td>
					</tr>
			
				</table>

			</fieldset>

			<input type="hidden" name="iframe" value="yes">

		</form>
	</div>

</div>


<?php require_once('unit_menu.php') ?>


</body>
</html>
